Subject: [secdir] Pasi's AD Notes for July-August 2009

From: <[email-masked]>
Date: Mon, 31 Aug 2009 12:44:10 +0200

Here's again a short status update about what things are going on from
my point-of-view. If you notice anything that doesn't look right, let
me know -- miscommunication and mix-ups do happen.

Best regards,
Pasi

MISC NOTES

- Routing ADs appointed Rene Struik as security advisor for ROLL WG.
- Preparing a liaison statement reply to ITU-T regarding
  identity management (draft posted to SAAG recently).
- Compiled statistics for security area mailing lists (posted to 
  SecDir list).
- Worked with Tim on advice on handling variable-length keys in TCP-AO.
- Some tools/datatracker work.
- (not wearing AD hat): Errata #1628 (for RFC 4742): waiting for
  IANA to update the registry [since 2009-08-31]
- Some discussions re: draft-latze-emu-eap-tpm.

WORKING GROUPS

DKIM
- draft-ietf-dkim-overview: published as RFC 5585.
- draft-ietf-dkim-rfc4871-errata: published as RFC 5672.
- draft-ietf-dkim-ssp: published as RFC 5617.
- Waiting for Stephen and Barry for new charter text (noting that 
  current work items are completed and adding 4871bis)
- I still need to review what to do about errata 1385, 1532, and 1596

EMU

IPSECME
- draft-ietf-ipsecme-ikev2-resumption: waiting for secretariat
  to send IETF last call announcement [since 2009-08-31].
- A virtual interim meeting is planned for 2009-09-22.
- Still working on fixing the IANA registrations of RFC 4543; 
  currently waiting for IANA [since 2009-07-31]
- draft-ietf-ipsecme-ikev2-redirect (not wearing AD hat; Tim 
  is handling this one): waiting for Cullen to review the new
  version and clear his DISCUSS [since 2009-08-04]
- draft-ietf-ipsecme-ikev2-ipv6-config (not wearing AD hat): 
  waiting for Tim to start IETF last call or provide 
  additional comments [since 2009-08-20]

ISMS
- draft-ietf-isms-secshell: published as RFC 5592.
- draft-ietf-isms-tmsm: published as RFC 5590.
- draft-ietf-isms-transport-security-model: published as RFC 5591.
- draft-ietf-isms-radius-usage: published as RFC 5608.
- Rechartering approved by IESG.
- Appointed Russ Mundy as new co-chair.

KEYPROV
- Some emails I haven't read yet...

PKIX
- draft-ietf-pkix-rfc4055-update: in RFC Editor queue, waiting for
  smime-3851bis draft (not a normative reference, but authors
  preferred it this way), which is waiting for several other drafts
  (including pkix-3281update and pkix-sha2-dsa-ecdsa).

SASL
- draft-ietf-sasl-scram: in Publication Requested, waiting for
  me to read it [since 2009-08-27]
- (not WG item) draft-altman-tls-channel-bindings: currently
  in informal "pseudo-WGLC" on SASL/TLS WG lists -- I've promised
  to sponsor this as individual submission.
- Mailing list moved to ietf.org - thanks, Paul!

SYSLOG
- draft-ietf-syslog-sign: waiting for authors to submit a revised
  ID before starting IETF last call [since 2009-08-31]
- Recharter text sent to IESG/IAB review, expected to be approved
  in 2009-09-10 IESG telechat.

TLS
- draft-ietf-tls-extractor: waiting for Eric to reply to the
  IETF last call comments that were about the document contents,
  and revise draft if needed [since 2009-08-13]
- draft-ietf-tls-rfc4366-bis: in IETF last call (ends 2009-09-07)
- Worked with secretariat to get Certicom's PDF file stored 
  on www.ietf.org.
- (not WG item) see SASL WG for draft-altman-tls-channel-bindings
- Looking into errata #117 (for RFC 4346)

OTHER DOCUMENTS

DISCUSSES (active -- something happened within last month)

- draft-cain-post-inch-phishingextns: waiting for authors
  to submit a revised ID [since 2009-08-27]
- draft-freed-sieve-in-xml: waiting for authors to propose changes
  or submit a revised ID [since 2009-08-13]
- draft-housley-tls-authz-extns: waiting for authors to submit
  a revised ID [since 2009-08-13]
- draft-ietf-l3vpn-v6-ext-communities: text agreed, waiting for
  Ross to enter an RFC editor note [since 2009-08-26]
- draft-ietf-ltans-dssc: waiting for authors to submit a 
  revised ID [since 2009-08-10]
- draft-ietf-mext-binding-revocation: waiting for authors to
  submit a revised ID or RFC editor note [since 2009-08-27]
- draft-ietf-netconf-partial-lock: waiting for authors to 
  propose text or submit a revised ID [since 2009-08-13]
- draft-ietf-ntp-autokey: waiting for Ralph to get more
  information from WG [since 2009-08-20]
- draft-ietf-opsawg-syslog-alarm: text agreed, waiting for authors 
  to submit a revised ID or RFC editor note [since 2009-08-27]

DISCUSSES (stalled -- I haven't heard anything from the authors
or document shepherd for over one month)

- draft-ietf-dime-diameter-api: waiting for Dan to get WG's opinion 
  on whether this will be useful and if yes, why [since 2009-06-18]
- draft-ietf-vrrp-unified-spec: waiting for authors to propose
  text [since 2008-07-26]

DISCUSSES (presumed dead -- I haven't heard anything from the authors
or document shepherd for over three months)

- draft-cheshire-dnsext-nbp: waiting for authors to reply to my
  comments [since 2008-12-03] (pinged again on 2009-04-30 and
  2009-06-09)
- draft-ietf-bfd-base: text agreed, waiting for authors to submit 
  a revised ID [since 2009-03-19] (pinged again on 2009-04-30
  and 2009-06-09)
- draft-ietf-ntp-ntpv4-proto: waiting for authors to reply to
  my email or submit a revised ID [since 2009-04-16]
- draft-ietf-sipping-policy-package: waiting for draft-ietf-sipping-
  media-policy-dataset to progress (or more information from Robert)
  [since 2008-10-28]

--end--